Bug Tracker – Bug 220

floor glitch in freedoom (boom?) when reconnecting

Last modified: 2007-01-22 20:25:22 UTC
Bug 220 - floor glitch in freedoom (boom?) when reconnecting
Summary: floor glitch in freedoom (boom?) when reconnecting
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Client (show other bugs)
Version: (old) 0.0.1
Hardware: Other Windows (Any)
: P2 trivial
Assignee: Denis Lukianov
URL:
Depends on:
Blocks: 18
  Show dependency tree
 
Reported: 2006-09-27 18:37 UTC by Russell Rice
Modified: 2007-01-22 20:25 UTC (History)
0 users

See Also:

Attachments

glitch in floors (147.41 KB, application/octet-stream)
2006-09-27 18:41 UTC, Russell Rice
Details
Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description Russell Rice 2006-09-27 18:37:28 UTC
when you lower the 4 platforms in freedoom map01, the floor textures
disappear when at the bottom (which is normal, that occurs in prboom)

however, if you reconnect to the server after the platforms have lowered
the old platform textures are still there, which can be witnessed in the
file attachment
Comment 1 Russell Rice 2006-09-27 18:41:25 UTC
Created attachment 28 [details]
glitch in floors

DOOM*0.png = platforms lowered floor graphic when connected
DOOM*1.png = platforms lowered floor graphic after reconnect
Comment 2 Russell Rice 2006-11-13 16:46:18 UTC
as of r2012, this bug still occurs

I presume this bug is related to bug 18
Comment 3 Denis Lukianov 2006-11-14 11:06:42 UTC
Confirm, the texture swap is never made for new clients.
Comment 4 Denis Lukianov 2007-01-22 18:31:17 UTC
fixed 0.1-r75, please test
Comment 5 Russell Rice 2007-01-22 20:25:22 UTC
(In reply to comment #4)
> fixed 0.1-r75, please test
> 

confirmed works.